> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/data-storage/access-data-from-applications/obtain-tokens-for-data-access.md).

# Obtain tokens for data access

{% hint style="info" %}
Tokens are only necessary for working remotely with data in Nuvolos. Nuvolos applications are automatically set up to connect to data stored in Nuvolos.
{% endhint %}

The credentials to access data are not regular Nuvolos credentials. To obtain the required credentials to access data, please navigate to the [table view](/reference/data-storage/nuvolos-tables.md#the-tables-view), and click the [**CONNECTION GUIDE**](/reference/data-storage/nuvolos-tables.md#connection-guide) button.

The connection guide provides the information required to connect to Nuvolos from non-Nuvolos applications:

1. Username is the username for connecting to the Nuvolos database backend.
2. Password is the password for this connection. It is not your standard Nuvolos credential, but a separate string generated specifically for database access.
3. A convenience command is also provided, containing the necessary connection details to access the Nuvolos database backend.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/data-storage/access-data-from-applications/obtain-tokens-for-data-access.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
